package sdbc

import (
	"github.com/stretchr/testify/assert"
	"testing"
	"time"
)

func Test_insert_InsertOne(t *testing.T) {
	var driver = NewSDBC(&Config{
		Dbname:      "test.db",
		MaxIdleConn: 10,
		MaxOpenConn: 100,
		MaxLifetime: time.Hour,
		Debug:       true,
	}).BindModel(&ModelArticles{})
	var doc = &ModelArticles{
		Title:      "hello world1",
		CreateTime: time.Now().Unix(),
	}
	err := driver.Insert().Insert(doc)
	assert.NoError(t, err)
	t.Logf("doc id: %v", doc.Id)
}
